package ru.dbotthepony.mc.otm.client.render;

import com.mojang.blaze3d.systems.RenderSystem;
import com.mojang.blaze3d.vertex.PoseStack;
import net.minecraft.client.renderer.MultiBufferSource;
import net.minecraft.client.renderer.blockentity.BlockEntityRenderer;
import net.minecraft.client.renderer.blockentity.BlockEntityRendererProvider;
import ru.dbotthepony.mc.otm.block.entity.BlockEntityBlackHole;

import static org.lwjgl.opengl.GL33.*;

public class BlackHoleRenderer implements BlockEntityRenderer<BlockEntityBlackHole> {
	@Override
	public void render(BlockEntityBlackHole blockEntityBlackHole, float v, PoseStack poseStack, MultiBufferSource multiBufferSource, int i, int i1) {
		RenderHelper.setDrawColor(RGBAColor.BLACK);

		RenderSystem.depthFunc(GL_LESS);
		RenderSystem.depthMask(true);

		RenderSystem.enableDepthTest();
		RenderSystem.disableCull();

		poseStack.pushPose();
		poseStack.translate(0.5, -0.25, blockEntityBlackHole.getGravitationStrength() * 0.5);

		RenderHelper.colorSphere(poseStack, 1f);

		poseStack.popPose();

		RenderSystem.enableCull();
		RenderSystem.enableTexture();
	}

	public BlackHoleRenderer(BlockEntityRendererProvider.Context context) {

	}
}
